Puntuado con 1 de 5 estrellas

it doesn't work with firefox 4

Esta valoración es de una versión anterior del complemento (4.8.4.1-signed).